-- Designed by Toshio Iwata at DIGITALFILTER.COM 2015/09/22

library IEEE;
  use IEEE.std_logic_1164.all;
  use IEEE.std_logic_arith.all;
  use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity maxlab is
   Port ( 
	RST_N	: IN std_logic;  
	CLK	: IN std_logic;  
	LED1	: OUT std_logic );
end maxlab ;

architecture RTL of maxlab is
  
signal counter : std_logic_vector(25 downto 0);
signal counter_clr, counter_dec : std_logic;

begin

process( RST_N, CLK )  
begin 
	if( RST_N = '0' ) then
		counter <= (others => '0');
	elsif( CLK'event and CLK = '1' ) then
		if(counter_clr = '1') then
			counter <= (others => '0');
		else 
			counter <= counter + 1;
		end if;
	end if;  
end process;

  counter_clr <= '1' when counter = 49999999 else '0';
  counter_dec <= '1' when counter < 20000000 else '0';
  LED1 <= not counter_dec;

end RTL;